Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.taskmgmt.exe
Class TaskMgmtInstance

    java.lang.Object
      org.jbpm.module.exe.ModuleInstance
          org.jbpm.taskmgmt.exe.TaskMgmtInstance

All Implemented Interfaces:
  java.io.Serializable

    public class TaskMgmtInstance

extends ModuleInstance

process instance extension for managing tasks on a process instance.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.module.exe.ModuleInstance
`processInstance`

Constructor Summary
`TaskMgmtInstance()`
`TaskMgmtInstance(TaskMgmtDefinition taskMgmtDefinition)`

Method Summary
`void` | `addSwimlaneInstance(SwimlaneInstance swimlaneInstance)`
`void` | `addTaskInstance(TaskInstance taskInstance)`
`TaskInstance` | `createStartTaskInstance()` creates a task instance on the rootToken, and assigns it to the currently authenticated user.
`SwimlaneInstance` | `createSwimlaneInstance(java.lang.String swimlaneName)`
`SwimlaneInstance` | `createSwimlaneInstance(Swimlane swimlane)`
`TaskInstance` | `createTaskInstance()`
`TaskInstance` | `createTaskInstance(Task task)`
`TaskInstance` | `createTaskInstance(Task task, ExecutionContext executionContext)` creates a new task instance on the given task, in the given execution context.
`TaskInstance` | `createTaskInstance(Task task, Token token)` creates a new task instance on the given token, for the given task.
`TaskInstance` | `createTaskInstance(Token token)`
`void` | `endAll()` convenience method to end all tasks related to a given process instance.
`SwimlaneInstance` | `getInitializedSwimlaneInstance(ExecutionContext executionContext, Swimlane swimlane)`
`java.util.Collection` | `getSignallingTasks(ExecutionContext executionContext)` is the collection of `TaskInstance`s for the given token that can trigger the token to continue.
`SwimlaneInstance` | `getSwimlaneInstance(java.lang.String swimlaneName)`
`java.util.Map` | `getSwimlaneInstances()`
`java.util.Collection` | `getTaskInstances()` returns all the taskInstances for the this process instance.
`java.util.Collection` | `getTaskInstancesWithVariableUpdates()` returns the collection of task instance with variable updates.
`TaskMgmtDefinition` | `getTaskMgmtDefinition()`
`java.util.Collection` | `getUnfinishedTasks(Token token)` is the collection of `TaskInstance`s on the given token that are not ended.
`boolean` | `hasBlockingTaskInstances(Token token)` is true if the given token has task instances that keep the token from leaving the current node.
`boolean` | `hasSignallingTasks(ExecutionContext executionContext)` is true if there are `TaskInstance`s on the given token that can trigger the token to continue.
`boolean` | `hasUnfinishedTasks(Token token)` is true if the given token has task instances that are not yet ended.
`void` | `performAssignment(Delegation assignmentDelegation, java.lang.String actorIdExpression, java.lang.String pooledActorsExpression, Assignable assignable, ExecutionContext executionContext)`
`void` | `removeSignalling(Token token)` removes signalling capabilities from all task instances related to the given token.
`void` | `removeTaskInstance(TaskInstance taskInstance)`
`void` | `resume(Token token)` resumes all task instances for this process instance.
`void` | `suspend(Token token)` suspends all task instances for this process instance.

Methods inherited from class org.jbpm.module.exe.ModuleInstance
`equals, getId, getProcessInstance, getService, setProcessInstance`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskMgmtInstance

    public TaskMgmtInstance()

### TaskMgmtInstance

    public TaskMgmtInstance(TaskMgmtDefinition taskMgmtDefinition)

Method Detail

### createTaskInstance

    public TaskInstance createTaskInstance()

### createTaskInstance

    public TaskInstance createTaskInstance(Task task)

### createTaskInstance

    public TaskInstance createTaskInstance(Token token)

### createTaskInstance

    public TaskInstance createTaskInstance(Task task,
                                           Token token)

  creates a new task instance on the given token, for the given task.

### createTaskInstance

    public TaskInstance createTaskInstance(Task task,
                                           ExecutionContext executionContext)

  creates a new task instance on the given task, in the given execution context.

### getInitializedSwimlaneInstance

    public SwimlaneInstance getInitializedSwimlaneInstance(ExecutionContext executionContext,
                                                           Swimlane swimlane)

### performAssignment

    public void performAssignment(Delegation assignmentDelegation,
                                  java.lang.String actorIdExpression,
                                  java.lang.String pooledActorsExpression,
                                  Assignable assignable,
                                  ExecutionContext executionContext)

### createStartTaskInstance

    public TaskInstance createStartTaskInstance()

  creates a task instance on the rootToken, and assigns it to the currently authenticated user.

### hasBlockingTaskInstances

    public boolean hasBlockingTaskInstances(Token token)

  is true if the given token has task instances that keep the token from leaving the current node.

### hasUnfinishedTasks

    public boolean hasUnfinishedTasks(Token token)

  is true if the given token has task instances that are not yet ended.

### getUnfinishedTasks

    public java.util.Collection getUnfinishedTasks(Token token)

  is the collection of `TaskInstance`s on the given token that are not ended.

### hasSignallingTasks

    public boolean hasSignallingTasks(ExecutionContext executionContext)

  is true if there are `TaskInstance`s on the given token that can trigger the token to continue.

### getSignallingTasks

    public java.util.Collection getSignallingTasks(ExecutionContext executionContext)

  is the collection of `TaskInstance`s for the given token that can trigger the token to continue.

### getTaskInstances

    public java.util.Collection getTaskInstances()

  returns all the taskInstances for the this process instance. This includes task instances that have been completed previously.

### addTaskInstance

    public void addTaskInstance(TaskInstance taskInstance)

### removeTaskInstance

    public void removeTaskInstance(TaskInstance taskInstance)

### getSwimlaneInstances

    public java.util.Map getSwimlaneInstances()

### addSwimlaneInstance

    public void addSwimlaneInstance(SwimlaneInstance swimlaneInstance)

### getSwimlaneInstance

    public SwimlaneInstance getSwimlaneInstance(java.lang.String swimlaneName)

### createSwimlaneInstance

    public SwimlaneInstance createSwimlaneInstance(java.lang.String swimlaneName)

### createSwimlaneInstance

    public SwimlaneInstance createSwimlaneInstance(Swimlane swimlane)

### getTaskMgmtDefinition

    public TaskMgmtDefinition getTaskMgmtDefinition()

### suspend

    public void suspend(Token token)

  suspends all task instances for this process instance.

### resume

    public void resume(Token token)

  resumes all task instances for this process instance.

### getTaskInstancesWithVariableUpdates

    public java.util.Collection getTaskInstancesWithVariableUpdates()

  returns the collection of task instance with variable updates.

### endAll

    public void endAll()

  convenience method to end all tasks related to a given process instance.

### removeSignalling

    public void removeSignalling(Token token)

  removes signalling capabilities from all task instances related to the given token.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD